weka.core.pmml.jaxbbindings

## Class SimpleRule

- java.lang.Object
- - weka.core.pmml.jaxbbindings.SimpleRule

-     public class SimpleRule
      extends java.lang.Object

  Java class for SimpleRule element declaration.

  The following schema fragment specifies the expected content contained within this class.

       <element name="SimpleRule">
         <complexType>
           <complexContent>
             <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
               <sequence>
                 <element ref="{http://www.dmg.org/PMML-4_1}Extension" maxOccurs="unbounded" minOccurs="0"/>
                 <group ref="{http://www.dmg.org/PMML-4_1}PREDICATE"/>
                 <element ref="{http://www.dmg.org/PMML-4_1}ScoreDistribution" maxOccurs="unbounded" minOccurs="0"/>
               </sequence>
               <attribute name="confidence" type="{http://www.dmg.org/PMML-4_1}NUMBER" />
               <attribute name="id" type="{http://www.w3.org/2001/XMLSchema}string" />
               <attribute name="nbCorrect" type="{http://www.dmg.org/PMML-4_1}NUMBER" />
               <attribute name="recordCount" type="{http://www.dmg.org/PMML-4_1}NUMBER" />
               <attribute name="score" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
               <attribute name="weight" type="{http://www.dmg.org/PMML-4_1}NUMBER" />
             </restriction>
           </complexContent>
         </complexType>
       </element>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleRule()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `CompoundPredicate` | `getCompoundPredicate()` Gets the value of the compoundPredicate property.
    `java.lang.Double` | `getConfidence()` Gets the value of the confidence property.
    `java.util.List<Extension>` | `getExtension()` Gets the value of the extension property.
    `False` | `getFalse()` Gets the value of the false property.
    `java.lang.String` | `getId()` Gets the value of the id property.
    `java.lang.Double` | `getNbCorrect()` Gets the value of the nbCorrect property.
    `java.lang.Double` | `getRecordCount()` Gets the value of the recordCount property.
    `java.lang.String` | `getScore()` Gets the value of the score property.
    `java.util.List<ScoreDistribution>` | `getScoreDistribution()` Gets the value of the scoreDistribution property.
    `SimplePredicate` | `getSimplePredicate()` Gets the value of the simplePredicate property.
    `SimpleSetPredicate` | `getSimpleSetPredicate()` Gets the value of the simpleSetPredicate property.
    `True` | `getTrue()` Gets the value of the true property.
    `java.lang.Double` | `getWeight()` Gets the value of the weight property.
    `void` | `setCompoundPredicate(CompoundPredicate value)` Sets the value of the compoundPredicate property.
    `void` | `setConfidence(java.lang.Double value)` Sets the value of the confidence property.
    `void` | `setFalse(False value)` Sets the value of the false property.
    `void` | `setId(java.lang.String value)` Sets the value of the id property.
    `void` | `setNbCorrect(java.lang.Double value)` Sets the value of the nbCorrect property.
    `void` | `setRecordCount(java.lang.Double value)` Sets the value of the recordCount property.
    `void` | `setScore(java.lang.String value)` Sets the value of the score property.
    `void` | `setSimplePredicate(SimplePredicate value)` Sets the value of the simplePredicate property.
    `void` | `setSimpleSetPredicate(SimpleSetPredicate value)` Sets the value of the simpleSetPredicate property.
    `void` | `setTrue(True value)` Sets the value of the true property.
    `void` | `setWeight(java.lang.Double value)` Sets the value of the weight property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleRule

          public SimpleRule()

  - ### Method Detail

    - #### getExtension

          public java.util.List<Extension> getExtension()

      Gets the value of the extension property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the extension property.

      For example, to add a new item, do as follows:

              getExtension().add(newItem);

      Objects of the following type(s) are allowed in the list `Extension`

    - #### getSimplePredicate

          public SimplePredicate getSimplePredicate()

      Gets the value of the simplePredicate property.
      Returns:
        possible object is `SimplePredicate`

    - #### setSimplePredicate

          public void setSimplePredicate(SimplePredicate value)

      Sets the value of the simplePredicate property.
      Parameters:
        `value` - allowed object is `SimplePredicate`

    - #### getCompoundPredicate

          public CompoundPredicate getCompoundPredicate()

      Gets the value of the compoundPredicate property.
      Returns:
        possible object is `CompoundPredicate`

    - #### setCompoundPredicate

          public void setCompoundPredicate(CompoundPredicate value)

      Sets the value of the compoundPredicate property.
      Parameters:
        `value` - allowed object is `CompoundPredicate`

    - #### getSimpleSetPredicate

          public SimpleSetPredicate getSimpleSetPredicate()

      Gets the value of the simpleSetPredicate property.
      Returns:
        possible object is `SimpleSetPredicate`

    - #### setSimpleSetPredicate

          public void setSimpleSetPredicate(SimpleSetPredicate value)

      Sets the value of the simpleSetPredicate property.
      Parameters:
        `value` - allowed object is `SimpleSetPredicate`

    - #### getTrue

          public True getTrue()

      Gets the value of the true property.
      Returns:
        possible object is `True`

    - #### setTrue

          public void setTrue(True value)

      Sets the value of the true property.
      Parameters:
        `value` - allowed object is `True`

    - #### getFalse

          public False getFalse()

      Gets the value of the false property.
      Returns:
        possible object is `False`

    - #### setFalse

          public void setFalse(False value)

      Sets the value of the false property.
      Parameters:
        `value` - allowed object is `False`

    - #### getScoreDistribution

          public java.util.List<ScoreDistribution> getScoreDistribution()

      Gets the value of the scoreDistribution property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the scoreDistribution property.

      For example, to add a new item, do as follows:

              getScoreDistribution().add(newItem);

      Objects of the following type(s) are allowed in the list `ScoreDistribution`

    - #### getConfidence

          public java.lang.Double getConfidence()

      Gets the value of the confidence property.
      Returns:
        possible object is `Double`

    - #### setConfidence

          public void setConfidence(java.lang.Double value)

      Sets the value of the confidence property.
      Parameters:
        `value` - allowed object is `Double`

    - #### getId

          public java.lang.String getId()

      Gets the value of the id property.
      Returns:
        possible object is `String`

    - #### setId

          public void setId(java.lang.String value)

      Sets the value of the id property.
      Parameters:
        `value` - allowed object is `String`

    - #### getNbCorrect

          public java.lang.Double getNbCorrect()

      Gets the value of the nbCorrect property.
      Returns:
        possible object is `Double`

    - #### setNbCorrect

          public void setNbCorrect(java.lang.Double value)

      Sets the value of the nbCorrect property.
      Parameters:
        `value` - allowed object is `Double`

    - #### getRecordCount

          public java.lang.Double getRecordCount()

      Gets the value of the recordCount property.
      Returns:
        possible object is `Double`

    - #### setRecordCount

          public void setRecordCount(java.lang.Double value)

      Sets the value of the recordCount property.
      Parameters:
        `value` - allowed object is `Double`

    - #### getScore

          public java.lang.String getScore()

      Gets the value of the score property.
      Returns:
        possible object is `String`

    - #### setScore

          public void setScore(java.lang.String value)

      Sets the value of the score property.
      Parameters:
        `value` - allowed object is `String`

    - #### getWeight

          public java.lang.Double getWeight()

      Gets the value of the weight property.
      Returns:
        possible object is `Double`

    - #### setWeight

          public void setWeight(java.lang.Double value)

      Sets the value of the weight property.
      Parameters:
        `value` - allowed object is `Double`